<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title> Formulario</title>
    <link rel="stylesheet" href="estilos.css">
</head>
    <body>
        <main>
            <form action="" class="formulario" id="formulario">
                <!--grupo de usuario-->
                <div class ="formulario__grupo formulario__grupo" id="grupo__usuario">
                        <label for="usuario" class="formulario__label">Usuario</label>
                    <div class="formulario__grupo-input">
                        <input type="text"class="formulario__input" name="usuario" id="usuario" placeholder="Kerly_17">
                        <i class= "formulario__validacion-estado fas fa-times-circle"></i>
                    </div>
                        <p class="formulario__input-error"> El usuario debe contener de 4 a 15 digitos. Debe contener numero y letras.</p>
                </div>

                <!--grupo Nombre-->
                <div class ="formulario__grupo" id="grupo__nombre">
                        <label for="nombre--" class="formulario__label">Nombre</label>
                    <div class="formulario__grupo-input">
                        <input type="text"class="formulario__input" name="nombre" id="nombre" placeholder="Kerly Jaramillo">
                        <i class= "formulario__validacion-estado fas fa-times-circle"></i>
                    </div>
                        <p class="formulario__input-error"> El Nombre debe contener de 5 a 15 digitos. Debe contener solo letras</p>
                </div>

                <!--grupo de contraseñas-->
                <div class ="formulario__grupo" id="grupo__contraseña">
                        <label for="contraseña" class="formulario__label">contraseña</label>
                    <div class="formulario__grupo-input">
                        <input type="password"class="formulario__input" name="contraseña" id="contraseña">
                        <i class= "formulario__validacion-estado fas fa-times-circle"></i>
                    </div>
                        <p class="formulario__input-error"> La contraseña debe contener 5 digitos como minimo y debe incluir letras, numeros y signos</p>
                </div>

                <!--grupo de contraseñas 2-->
                <div class ="formulario__grupo" id="grupo__contraseña2">
                        <label for="contraseña2" class="formulario__label">Confirmar contraseña</label>
                    <div class="formulario__grupo-input">
                        <input type="password"class="formulario__input" name="contraseña2" id="contraseña2">
                        <i class= "formulario__validacion-estado fas fa-times-circle"></i>
                    </div>
                        <p class="formulario__input-error"> La contraseña no coincide </p>
                </div>

                <!--grupo correo-->
                <div class ="formulario__grupo" id="grupo__Correo">
                            <label for="correo" class="formulario__label">Correo electronico</label>
                    <div class="formulario__grupo-input">
                        <input type="email"class="formulario__input" name="Correo" id="Correo" placeholder="ejemplocorreo@ejemplo.com">
                        <i class= "formulario__validacion-estado fas fa-times-circle"></i>
                    </div>
                        <p class="formulario__input-error"> El correo solo puede contener letras y numeros</p>
                </div>

                <!--grupo telefono-->
                <div class ="formulario__grupo" id="grupo__telefono">
                        <label for="telefono" class="formulario__label">Telefono</label>
                    <div class="formulario__grupo-input">
                        <input type="text"class="formulario__input" name="telefono" id="telefono" placeholder="0999999999">
                        <i class= "formulario__validacion-estado fas fa-times-circle"></i>
                    </div>
                        <p class="formulario__input-error"> Debe contener 10 digitos</p>
                </div>


                <!--Grupo de terminos y condiciones-->
                <div class= "formulario__grupo" id="grupo__terminos">
                    <label class="formulario__label">
                        <input class="formulario__checkbox"type="checkbox" name="terminos" id="terminos">
                        Acepto terminos y condiciones
                    </label>
                </div>

                <div class="formulario__mensaje" id="formulario__mensaje">
                    <p><i class="fas fa-exclamation-triangle"></i> <b>Error:</b> Por favor, complete todos los datos correctamente </p>
                </div>

                <div  class = " formulario__grupo formulario__grupo-btn-enviar " >
                    <button  type = " submit " class = " formulario__btn " > Enviar </button >
                    <p  class = " formulario__mensaje-exito " id = " formulario__mensaje-exito " > Formulario enviado exitosamente! </p >
                </div >

            </form>   
        </main>
    <script src="https://kit.fontawesome.com/2c36e9b7b1.js" crossorigin="anonymous"></script>
    <script src="java.js" type="text/javascript"></script>
    </body>
</html>